libzypp 17.37.10

Bit.h File Reference
`#include <iosfwd>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | zypp::bit::bit_detail::Gen1Bits< TInt, _size >
| Generate constants with _size trailing '1'-bits. More...
struct | zypp::bit::bit_detail::Gen1Bits< TInt, 0 >
| Specialization for _length 0. More...
struct | zypp::bit::MaxBits< TInt >
| Number of bits available in TInt. More...
struct | zypp::bit::Mask< TInt, _begin, _size >
| A bitmaks of _size 1-bits starting at bit _begin. More...
struct | zypp::bit::Range< TInt, _begin, _size >
| Range of bits starting at bit _begin with length _size. More...
struct | zypp::bit::Range< TInt, _begin, 0 >
| Range specialisation for (illegal) zero _size. More...
struct | zypp::bit::RangeValue< TRange, _value >
| A value with in a Range. More...
struct | zypp::bit::RangeBit< TRange, _pos >
| A single 1-bit within a Range. More...
class | zypp::bit::BitField< TInt >
| An integral type used as BitField. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::bit
namespace | zypp::bit::bit_detail

## Functions
template<class TInt>
std::string | zypp::bit::asString (TInt val, char zero='0', char one='1')
| For printing bits.